Bug 790163 - python-py should unbundle apipkg
python-py should unbundle apipkg
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-py (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1185059
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2012-02-13 14:55 EST by Ian Weller
Modified: 2016-01-23 12:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 12:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2012-02-13 14:55:13 EST
python-py bundles the apipkg module.

This module has recently been reviewed and accepted into Fedora as the python-apipkg package.

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Thomas Moschny 2012-02-15 12:32:55 EST
This is going to be a wontfix, for several reasons:

- the python-apipkg rpm is not providing a python3 package, which would be needed
- there are major differences between apipkg.py (version "1.0" vs. "1.2.dev6")
- upstream doesn't seem to be very interested in making apipkg releases
- upstream announces apipkg as a copylib

So seems I need to ask FPC for an exception...
Comment 2 Thomas Moschny 2012-05-24 14:35:30 EDT
Mailed upstream, awaiting response.
Comment 3 Fedora End Of Life 2013-04-03 15:46:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Thomas Moschny 2013-05-11 10:58:26 EDT
Upstream bug report: https://bitbucket.org/hpk42/py/issue/31
Comment 5 Thomas Moschny 2016-01-23 12:59:42 EST
Unbundling happening upstream is unlikely. I've now added

  Provides: bundled(python{,2,3}-apipkg) = ...

tags to the package in rawhide.

Note You need to log in before you can comment on or make changes to this bug.